-- Copyright (C) 2018  Intel Corporation. All rights reserved.
-- Your use of Intel Corporation's design tools, logic functions 
-- and other software and tools, and its AMPP partner logic 
-- functions, and any output files from any of the foregoing 
-- (including device programming or simulation files), and any 
-- associated documentation or information are expressly subject 
-- to the terms and conditions of the Intel Program License 
-- Subscription Agreement, the Intel Quartus Prime License Agreement,
-- the Intel FPGA IP License Agreement, or other applicable license
-- agreement, including, without limitation, that your use is for
-- the sole purpose of programming logic devices manufactured by
-- Intel and sold by Intel or its authorized distributors.  Please
-- refer to the applicable agreement for further details.

-- *****************************************************************************
-- This file contains a Vhdl test bench with test vectors .The test vectors     
-- are exported from a vector file in the Quartus Waveform Editor and apply to  
-- the top level entity of the current Quartus project .The user can use this   
-- testbench to simulate his design using a third-party simulation tool .       
-- *****************************************************************************
-- Generated on "10/07/2019 16:08:16"
                                                             
-- Vhdl Test Bench(with test vectors) for design  :          funSim
-- 
-- Simulation tool : 3rd Party
-- 

LIBRARY ieee;                                               
USE ieee.std_logic_1164.all;                                

ENTITY funSim_vhd_vec_tst IS
END funSim_vhd_vec_tst;
ARCHITECTURE funSim_arch OF funSim_vhd_vec_tst IS
-- constants                                                 
-- signals                                                   
SIGNAL in1 : STD_LOGIC_VECTOR(31 DOWNTO 0);
SIGNAL in2 : STD_LOGIC_VECTOR(31 DOWNTO 0);
SIGNAL out1 : STD_LOGIC_VECTOR(31 DOWNTO 0);
COMPONENT funSim
	PORT (
	in1 : IN STD_LOGIC_VECTOR(31 DOWNTO 0);
	in2 : IN STD_LOGIC_VECTOR(31 DOWNTO 0);
	out1 : BUFFER STD_LOGIC_VECTOR(31 DOWNTO 0)
	);
END COMPONENT;
BEGIN
	i1 : funSim
	PORT MAP (
-- list connections between master ports and signals
	in1 => in1,
	in2 => in2,
	out1 => out1
	);
-- in1[31]
t_prcs_in1_31: PROCESS
BEGIN
	in1(31) <= '0';
WAIT;
END PROCESS t_prcs_in1_31;
-- in1[30]
t_prcs_in1_30: PROCESS
BEGIN
	in1(30) <= '0';
WAIT;
END PROCESS t_prcs_in1_30;
-- in1[29]
t_prcs_in1_29: PROCESS
BEGIN
	in1(29) <= '0';
WAIT;
END PROCESS t_prcs_in1_29;
-- in1[28]
t_prcs_in1_28: PROCESS
BEGIN
	in1(28) <= '0';
WAIT;
END PROCESS t_prcs_in1_28;
-- in1[27]
t_prcs_in1_27: PROCESS
BEGIN
	in1(27) <= '0';
WAIT;
END PROCESS t_prcs_in1_27;
-- in1[26]
t_prcs_in1_26: PROCESS
BEGIN
	in1(26) <= '0';
WAIT;
END PROCESS t_prcs_in1_26;
-- in1[25]
t_prcs_in1_25: PROCESS
BEGIN
	in1(25) <= '0';
WAIT;
END PROCESS t_prcs_in1_25;
-- in1[24]
t_prcs_in1_24: PROCESS
BEGIN
	in1(24) <= '0';
WAIT;
END PROCESS t_prcs_in1_24;
-- in1[23]
t_prcs_in1_23: PROCESS
BEGIN
	in1(23) <= '0';
WAIT;
END PROCESS t_prcs_in1_23;
-- in1[22]
t_prcs_in1_22: PROCESS
BEGIN
	in1(22) <= '0';
WAIT;
END PROCESS t_prcs_in1_22;
-- in1[21]
t_prcs_in1_21: PROCESS
BEGIN
	in1(21) <= '0';
WAIT;
END PROCESS t_prcs_in1_21;
-- in1[20]
t_prcs_in1_20: PROCESS
BEGIN
	in1(20) <= '0';
WAIT;
END PROCESS t_prcs_in1_20;
-- in1[19]
t_prcs_in1_19: PROCESS
BEGIN
	in1(19) <= '0';
WAIT;
END PROCESS t_prcs_in1_19;
-- in1[18]
t_prcs_in1_18: PROCESS
BEGIN
	in1(18) <= '0';
WAIT;
END PROCESS t_prcs_in1_18;
-- in1[17]
t_prcs_in1_17: PROCESS
BEGIN
	in1(17) <= '0';
WAIT;
END PROCESS t_prcs_in1_17;
-- in1[16]
t_prcs_in1_16: PROCESS
BEGIN
	in1(16) <= '0';
WAIT;
END PROCESS t_prcs_in1_16;
-- in1[15]
t_prcs_in1_15: PROCESS
BEGIN
	in1(15) <= '0';
WAIT;
END PROCESS t_prcs_in1_15;
-- in1[14]
t_prcs_in1_14: PROCESS
BEGIN
	in1(14) <= '0';
WAIT;
END PROCESS t_prcs_in1_14;
-- in1[13]
t_prcs_in1_13: PROCESS
BEGIN
	in1(13) <= '0';
WAIT;
END PROCESS t_prcs_in1_13;
-- in1[12]
t_prcs_in1_12: PROCESS
BEGIN
	in1(12) <= '0';
WAIT;
END PROCESS t_prcs_in1_12;
-- in1[11]
t_prcs_in1_11: PROCESS
BEGIN
	in1(11) <= '0';
WAIT;
END PROCESS t_prcs_in1_11;
-- in1[10]
t_prcs_in1_10: PROCESS
BEGIN
	in1(10) <= '0';
WAIT;
END PROCESS t_prcs_in1_10;
-- in1[9]
t_prcs_in1_9: PROCESS
BEGIN
	in1(9) <= '0';
WAIT;
END PROCESS t_prcs_in1_9;
-- in1[8]
t_prcs_in1_8: PROCESS
BEGIN
	in1(8) <= '0';
WAIT;
END PROCESS t_prcs_in1_8;
-- in1[7]
t_prcs_in1_7: PROCESS
BEGIN
	in1(7) <= '0';
WAIT;
END PROCESS t_prcs_in1_7;
-- in1[6]
t_prcs_in1_6: PROCESS
BEGIN
	in1(6) <= '0';
	WAIT FOR 640000 ps;
	in1(6) <= '1';
WAIT;
END PROCESS t_prcs_in1_6;
-- in1[5]
t_prcs_in1_5: PROCESS
BEGIN
	in1(5) <= '0';
	WAIT FOR 320000 ps;
	in1(5) <= '1';
	WAIT FOR 320000 ps;
	in1(5) <= '0';
	WAIT FOR 320000 ps;
	in1(5) <= '1';
WAIT;
END PROCESS t_prcs_in1_5;
-- in1[4]
t_prcs_in1_4: PROCESS
BEGIN
	FOR i IN 1 TO 3
	LOOP
		in1(4) <= '0';
		WAIT FOR 160000 ps;
		in1(4) <= '1';
		WAIT FOR 160000 ps;
	END LOOP;
	in1(4) <= '0';
WAIT;
END PROCESS t_prcs_in1_4;
-- in1[3]
t_prcs_in1_3: PROCESS
BEGIN
	FOR i IN 1 TO 6
	LOOP
		in1(3) <= '0';
		WAIT FOR 80000 ps;
		in1(3) <= '1';
		WAIT FOR 80000 ps;
	END LOOP;
	in1(3) <= '0';
WAIT;
END PROCESS t_prcs_in1_3;
-- in1[2]
t_prcs_in1_2: PROCESS
BEGIN
	FOR i IN 1 TO 12
	LOOP
		in1(2) <= '0';
		WAIT FOR 40000 ps;
		in1(2) <= '1';
		WAIT FOR 40000 ps;
	END LOOP;
	in1(2) <= '0';
WAIT;
END PROCESS t_prcs_in1_2;
-- in1[1]
t_prcs_in1_1: PROCESS
BEGIN
LOOP
	in1(1) <= '0';
	WAIT FOR 20000 ps;
	in1(1) <= '1';
	WAIT FOR 20000 ps;
	IF (NOW >= 1000000 ps) THEN WAIT; END IF;
END LOOP;
END PROCESS t_prcs_in1_1;
-- in1[0]
t_prcs_in1_0: PROCESS
BEGIN
LOOP
	in1(0) <= '0';
	WAIT FOR 10000 ps;
	in1(0) <= '1';
	WAIT FOR 10000 ps;
	IF (NOW >= 1000000 ps) THEN WAIT; END IF;
END LOOP;
END PROCESS t_prcs_in1_0;
-- in2[31]
t_prcs_in2_31: PROCESS
BEGIN
	in2(31) <= '0';
WAIT;
END PROCESS t_prcs_in2_31;
-- in2[30]
t_prcs_in2_30: PROCESS
BEGIN
	in2(30) <= '0';
WAIT;
END PROCESS t_prcs_in2_30;
-- in2[29]
t_prcs_in2_29: PROCESS
BEGIN
	in2(29) <= '0';
WAIT;
END PROCESS t_prcs_in2_29;
-- in2[28]
t_prcs_in2_28: PROCESS
BEGIN
	in2(28) <= '0';
WAIT;
END PROCESS t_prcs_in2_28;
-- in2[27]
t_prcs_in2_27: PROCESS
BEGIN
	in2(27) <= '0';
WAIT;
END PROCESS t_prcs_in2_27;
-- in2[26]
t_prcs_in2_26: PROCESS
BEGIN
	in2(26) <= '0';
WAIT;
END PROCESS t_prcs_in2_26;
-- in2[25]
t_prcs_in2_25: PROCESS
BEGIN
	in2(25) <= '0';
WAIT;
END PROCESS t_prcs_in2_25;
-- in2[24]
t_prcs_in2_24: PROCESS
BEGIN
	in2(24) <= '0';
WAIT;
END PROCESS t_prcs_in2_24;
-- in2[23]
t_prcs_in2_23: PROCESS
BEGIN
	in2(23) <= '0';
WAIT;
END PROCESS t_prcs_in2_23;
-- in2[22]
t_prcs_in2_22: PROCESS
BEGIN
	in2(22) <= '0';
WAIT;
END PROCESS t_prcs_in2_22;
-- in2[21]
t_prcs_in2_21: PROCESS
BEGIN
	in2(21) <= '0';
WAIT;
END PROCESS t_prcs_in2_21;
-- in2[20]
t_prcs_in2_20: PROCESS
BEGIN
	in2(20) <= '0';
WAIT;
END PROCESS t_prcs_in2_20;
-- in2[19]
t_prcs_in2_19: PROCESS
BEGIN
	in2(19) <= '0';
WAIT;
END PROCESS t_prcs_in2_19;
-- in2[18]
t_prcs_in2_18: PROCESS
BEGIN
	in2(18) <= '0';
WAIT;
END PROCESS t_prcs_in2_18;
-- in2[17]
t_prcs_in2_17: PROCESS
BEGIN
	in2(17) <= '0';
WAIT;
END PROCESS t_prcs_in2_17;
-- in2[16]
t_prcs_in2_16: PROCESS
BEGIN
	in2(16) <= '0';
WAIT;
END PROCESS t_prcs_in2_16;
-- in2[15]
t_prcs_in2_15: PROCESS
BEGIN
	in2(15) <= '0';
WAIT;
END PROCESS t_prcs_in2_15;
-- in2[14]
t_prcs_in2_14: PROCESS
BEGIN
	in2(14) <= '0';
WAIT;
END PROCESS t_prcs_in2_14;
-- in2[13]
t_prcs_in2_13: PROCESS
BEGIN
	in2(13) <= '0';
WAIT;
END PROCESS t_prcs_in2_13;
-- in2[12]
t_prcs_in2_12: PROCESS
BEGIN
	in2(12) <= '0';
WAIT;
END PROCESS t_prcs_in2_12;
-- in2[11]
t_prcs_in2_11: PROCESS
BEGIN
	in2(11) <= '0';
WAIT;
END PROCESS t_prcs_in2_11;
-- in2[10]
t_prcs_in2_10: PROCESS
BEGIN
	in2(10) <= '0';
WAIT;
END PROCESS t_prcs_in2_10;
-- in2[9]
t_prcs_in2_9: PROCESS
BEGIN
	in2(9) <= '0';
WAIT;
END PROCESS t_prcs_in2_9;
-- in2[8]
t_prcs_in2_8: PROCESS
BEGIN
	in2(8) <= '0';
WAIT;
END PROCESS t_prcs_in2_8;
-- in2[7]
t_prcs_in2_7: PROCESS
BEGIN
	in2(7) <= '0';
WAIT;
END PROCESS t_prcs_in2_7;
-- in2[6]
t_prcs_in2_6: PROCESS
BEGIN
	in2(6) <= '0';
	WAIT FOR 640000 ps;
	in2(6) <= '1';
WAIT;
END PROCESS t_prcs_in2_6;
-- in2[5]
t_prcs_in2_5: PROCESS
BEGIN
	in2(5) <= '0';
	WAIT FOR 320000 ps;
	in2(5) <= '1';
	WAIT FOR 640000 ps;
	in2(5) <= '0';
WAIT;
END PROCESS t_prcs_in2_5;
-- in2[4]
t_prcs_in2_4: PROCESS
BEGIN
	in2(4) <= '0';
	WAIT FOR 160000 ps;
	in2(4) <= '1';
	WAIT FOR 320000 ps;
	in2(4) <= '0';
	WAIT FOR 320000 ps;
	in2(4) <= '1';
WAIT;
END PROCESS t_prcs_in2_4;
-- in2[3]
t_prcs_in2_3: PROCESS
BEGIN
	in2(3) <= '0';
	WAIT FOR 80000 ps;
	in2(3) <= '1';
	WAIT FOR 160000 ps;
	FOR i IN 1 TO 2
	LOOP
		in2(3) <= '0';
		WAIT FOR 160000 ps;
		in2(3) <= '1';
		WAIT FOR 160000 ps;
	END LOOP;
	in2(3) <= '0';
WAIT;
END PROCESS t_prcs_in2_3;
-- in2[2]
t_prcs_in2_2: PROCESS
BEGIN
	in2(2) <= '0';
	WAIT FOR 40000 ps;
	in2(2) <= '1';
	WAIT FOR 80000 ps;
	FOR i IN 1 TO 5
	LOOP
		in2(2) <= '0';
		WAIT FOR 80000 ps;
		in2(2) <= '1';
		WAIT FOR 80000 ps;
	END LOOP;
	in2(2) <= '0';
WAIT;
END PROCESS t_prcs_in2_2;
-- in2[1]
t_prcs_in2_1: PROCESS
BEGIN
	in2(1) <= '0';
	WAIT FOR 20000 ps;
	in2(1) <= '1';
	WAIT FOR 40000 ps;
	FOR i IN 1 TO 11
	LOOP
		in2(1) <= '0';
		WAIT FOR 40000 ps;
		in2(1) <= '1';
		WAIT FOR 40000 ps;
	END LOOP;
	in2(1) <= '0';
	WAIT FOR 40000 ps;
	in2(1) <= '1';
WAIT;
END PROCESS t_prcs_in2_1;
-- in2[0]
t_prcs_in2_0: PROCESS
BEGIN
	in2(0) <= '0';
	WAIT FOR 10000 ps;
	in2(0) <= '1';
	WAIT FOR 20000 ps;
	FOR i IN 1 TO 24
	LOOP
		in2(0) <= '0';
		WAIT FOR 20000 ps;
		in2(0) <= '1';
		WAIT FOR 20000 ps;
	END LOOP;
	in2(0) <= '0';
WAIT;
END PROCESS t_prcs_in2_0;
END funSim_arch;
