-- Copyright (C) 2018  Intel Corporation. All rights reserved.
-- Your use of Intel Corporation's design tools, logic functions 
-- and other software and tools, and its AMPP partner logic 
-- functions, and any output files from any of the foregoing 
-- (including device programming or simulation files), and any 
-- associated documentation or information are expressly subject 
-- to the terms and conditions of the Intel Program License 
-- Subscription Agreement, the Intel Quartus Prime License Agreement,
-- the Intel FPGA IP License Agreement, or other applicable license
-- agreement, including, without limitation, that your use is for
-- the sole purpose of programming logic devices manufactured by
-- Intel and sold by Intel or its authorized distributors.  Please
-- refer to the applicable agreement for further details.

-- *****************************************************************************
-- This file contains a Vhdl test bench with test vectors .The test vectors     
-- are exported from a vector file in the Quartus Waveform Editor and apply to  
-- the top level entity of the current Quartus project .The user can use this   
-- testbench to simulate his design using a third-party simulation tool .       
-- *****************************************************************************
-- Generated on "10/07/2019 10:44:35"
                                                             
-- Vhdl Test Bench(with test vectors) for design  :          funSim
-- 
-- Simulation tool : 3rd Party
-- 

LIBRARY ieee;                                               
USE ieee.std_logic_1164.all;                                

ENTITY funSim_vhd_vec_tst IS
END funSim_vhd_vec_tst;
ARCHITECTURE funSim_arch OF funSim_vhd_vec_tst IS
-- constants                                                 
-- signals                                                   
SIGNAL in1 : STD_LOGIC_VECTOR(3 DOWNTO 0);
SIGNAL in2 : STD_LOGIC_VECTOR(3 DOWNTO 0);
SIGNAL out1 : STD_LOGIC_VECTOR(3 DOWNTO 0);
COMPONENT funSim
	PORT (
	in1 : IN STD_LOGIC_VECTOR(3 DOWNTO 0);
	in2 : IN STD_LOGIC_VECTOR(3 DOWNTO 0);
	out1 : BUFFER STD_LOGIC_VECTOR(3 DOWNTO 0)
	);
END COMPONENT;
BEGIN
	i1 : funSim
	PORT MAP (
-- list connections between master ports and signals
	in1 => in1,
	in2 => in2,
	out1 => out1
	);
-- in1[3]
t_prcs_in1_3: PROCESS
BEGIN
	in1(3) <= 'H';
	WAIT FOR 10000 ps;
	FOR i IN 1 TO 6
	LOOP
		in1(3) <= '0';
		WAIT FOR 80000 ps;
		in1(3) <= '1';
		WAIT FOR 80000 ps;
	END LOOP;
	in1(3) <= '0';
WAIT;
END PROCESS t_prcs_in1_3;
-- in1[2]
t_prcs_in1_2: PROCESS
BEGIN
	in1(2) <= 'H';
	WAIT FOR 10000 ps;
	FOR i IN 1 TO 12
	LOOP
		in1(2) <= '0';
		WAIT FOR 40000 ps;
		in1(2) <= '1';
		WAIT FOR 40000 ps;
	END LOOP;
	in1(2) <= '0';
WAIT;
END PROCESS t_prcs_in1_2;
-- in1[1]
t_prcs_in1_1: PROCESS
BEGIN
	in1(1) <= 'H';
	WAIT FOR 10000 ps;
	FOR i IN 1 TO 24
	LOOP
		in1(1) <= '0';
		WAIT FOR 20000 ps;
		in1(1) <= '1';
		WAIT FOR 20000 ps;
	END LOOP;
	in1(1) <= '0';
	WAIT FOR 20000 ps;
	in1(1) <= '1';
WAIT;
END PROCESS t_prcs_in1_1;
-- in1[0]
t_prcs_in1_0: PROCESS
BEGIN
	in1(0) <= 'H';
	WAIT FOR 10000 ps;
	FOR i IN 1 TO 49
	LOOP
		in1(0) <= '0';
		WAIT FOR 10000 ps;
		in1(0) <= '1';
		WAIT FOR 10000 ps;
	END LOOP;
	in1(0) <= '0';
WAIT;
END PROCESS t_prcs_in1_0;
-- in2[3]
t_prcs_in2_3: PROCESS
BEGIN
	in2(3) <= '1';
	WAIT FOR 10000 ps;
	FOR i IN 1 TO 6
	LOOP
		in2(3) <= '0';
		WAIT FOR 80000 ps;
		in2(3) <= '1';
		WAIT FOR 80000 ps;
	END LOOP;
	in2(3) <= '0';
WAIT;
END PROCESS t_prcs_in2_3;
-- in2[2]
t_prcs_in2_2: PROCESS
BEGIN
	in2(2) <= '0';
	WAIT FOR 50000 ps;
	in2(2) <= '1';
	WAIT FOR 80000 ps;
	FOR i IN 1 TO 5
	LOOP
		in2(2) <= '0';
		WAIT FOR 80000 ps;
		in2(2) <= '1';
		WAIT FOR 80000 ps;
	END LOOP;
	in2(2) <= '0';
WAIT;
END PROCESS t_prcs_in2_2;
-- in2[1]
t_prcs_in2_1: PROCESS
BEGIN
	in2(1) <= '0';
	WAIT FOR 30000 ps;
	in2(1) <= '1';
	WAIT FOR 40000 ps;
	FOR i IN 1 TO 11
	LOOP
		in2(1) <= '0';
		WAIT FOR 40000 ps;
		in2(1) <= '1';
		WAIT FOR 40000 ps;
	END LOOP;
	in2(1) <= '0';
	WAIT FOR 40000 ps;
	in2(1) <= '1';
WAIT;
END PROCESS t_prcs_in2_1;
-- in2[0]
t_prcs_in2_0: PROCESS
BEGIN
	in2(0) <= '0';
	WAIT FOR 20000 ps;
	in2(0) <= '1';
	WAIT FOR 20000 ps;
	FOR i IN 1 TO 24
	LOOP
		in2(0) <= '0';
		WAIT FOR 20000 ps;
		in2(0) <= '1';
		WAIT FOR 20000 ps;
	END LOOP;
WAIT;
END PROCESS t_prcs_in2_0;
END funSim_arch;
